#! /bin/sh

echo -e "Enter the path of DDWRT (/home/foo/DDWRT): "
read TARGETPATH

if [ -z $TARGETPATH ]
then
        TARGETPATH=/home/foo/DDWRT
fi

TARGETDIR=dd-wrt/src/router/mipsel-uclibc

cp $TARGETPATH/$TARGETDIR/vmlinux.bin .
cp $TARGETPATH/$TARGETDIR/rootfs.squashfs .


./wnrtool/./lzma e vmlinux.bin vmlinux.lzma
./wnrtool/trx -o ddwrt-wnr3500lv2.trx vmlinux.lzma rootfs.squashfs
touch rootfs
./packet -k ddwrt-wnr3500lv2.trx -f rootfs -b compatible_WNR3500L.txt -oall ddwrt-wnr3500lv2 -i ambitCfg.h
rm -f rootfs _kernel_image.chk  _rootfs_image.chk
